Subject: Re: bug#58509: 29.0.50; Synchronous nativecomp

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Oct 2022 05:30:28 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 25 Oct 2022 19:54:27 +0000
> 
> >>> The current invocation for compilations is just like:
> >>> 
> >>> emacs --batch -l sometmpfile.el
> >>> 
> >>> I don't know if we have some other option for adding a marker other than
> >>> the most obvious (the dedicated flag).
> >>
> >> At some point during compilation, we surely know that we are compiling
> >> a trampoline, right?  So I thought to avoid forking at that point, so
> >> that we don't need yet another command-line option for internal
> >> purposes.
> >
> > That's correct, but I believe the issue is that when we realize we are
> > compiling a trampoline it's too late, and we might have been decided
> > already a new trampoline needs to be compiled and installed.  The
> > parsing of the command line args happens way earlier and that's why this
> > technique works at solving this issue.
> >
> >   Andrea
> 
> What do we want to do?  Shall I push my patch that fixes the trampoline
> bomb with the use of -no-comp-spawn?

Oh, I thought you already did?

Yes, please install that.  AFAIU, the simplification I had in mind
doesn't really simplify things, so your proposal seems to be the best
we have on the table.

Thanks.